LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XShape Interface Referencepublished

lets you do a basic transformation on a Shape and get its type. More...

`import"XShape.idl";`

Inheritance diagram for XShape:

## Public Member Functions
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

lets you do a basic transformation on a Shape and get its type.

## Member Function Documentation

## ◆ getPosition()

com::sun::star::awt::Point getPosition | ( |  | ) |

gets the current position of this object.

Returns
  the position of the top left edge in 100/th mm

## ◆ getSize()

com::sun::star::awt::Size getSize | ( |  | ) |

gets the size of this object.

Returns
  the size in 100/th mm

## ◆ setPosition()

void setPosition | ( | [in] com::sun::star::awt::Point | aPosition | ) |

sets the current position of this object

Parameters

  aPosition | the position of the top left edge in 100/th mm

## ◆ setSize()

void setSize | ( | [in] com::sun::star::awt::Size | aSize | ) |
raises | ( | com::sun::star::beans::PropertyVetoException
| ) |  |

sets the size of this object.

Parameters

  aSize | the size in 100/th mm

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShape.idl